import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createman: commonLogic.appcommonhandle("建立人",null),
		sn: commonLogic.appcommonhandle("客户编号",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		customeruid: commonLogic.appcommonhandle("客户编号",null),
		ibizcustomerid: commonLogic.appcommonhandle("客户标识",null),
		address: commonLogic.appcommonhandle("公司地址",null),
		ibizcustomername: commonLogic.appcommonhandle("客户名称",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
	},
		views: {
			usr2gridview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户表格视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户选择表格视图",null),
			},
			pickuptreeview_layout: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户选择树视图",null),
			},
			usr2editview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户编辑视图",null),
			},
			usr2pickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户实体数据选择视图(树视图)",null),
			},
			usr2mpickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户实体数据多项选择视图(树视图)",null),
			},
			mpickupview_layout: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据多项选择视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户编辑视图",null),
			},
			pickuptreeview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户选择树视图",null),
			},
			mediatesteditview: {
				caption: commonLogic.appcommonhandle("自定义布局表单多媒体测试",null),
				title: commonLogic.appcommonhandle("客户编辑视图",null),
			},
			usr2mpickupview_layout: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户实体数据多项选择视图(树视图)",null),
			},
			usr3editview: {
				caption: commonLogic.appcommonhandle("按钮测试编辑视图",null),
				title: commonLogic.appcommonhandle("客户编辑视图",null),
			},
			pickupview_layout: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据选择视图",null),
			},
			mpickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据多项选择视图",null),
			},
			usr2pickupview_layout: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户实体数据选择视图(树视图)",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据选择视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户表格视图",null),
			},
		},
		adddataform_form: {
			details: {
				group1: commonLogic.appcommonhandle("客户基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("客户标识",null), 
				srfmajortext: commonLogic.appcommonhandle("客户名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizcustomername: commonLogic.appcommonhandle("客户名称",null), 
				address: commonLogic.appcommonhandle("公司地址",null), 
				ibizcustomerid: commonLogic.appcommonhandle("客户标识",null), 
				customeruid: commonLogic.appcommonhandle("客户编号",null), 
			},
			uiactions: {
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("客户基本信息",null), 
				druipart1: commonLogic.appcommonhandle("",null), 
				grouppanel1: commonLogic.appcommonhandle("表格",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("客户标识",null), 
				srfmajortext: commonLogic.appcommonhandle("客户名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizcustomername: commonLogic.appcommonhandle("客户名称",null), 
				address: commonLogic.appcommonhandle("公司地址",null), 
				customeruid: commonLogic.appcommonhandle("客户编号",null), 
				ibizcustomerid: commonLogic.appcommonhandle("客户标识",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		adddatagrid_grid: {
			columns: {
				customeruid: commonLogic.appcommonhandle("客户编号",null),
				ibizcustomername: commonLogic.appcommonhandle("客户名称",null),
				address: commonLogic.appcommonhandle("公司地址",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				customeruid: commonLogic.appcommonhandle("客户编号",null),
				ibizcustomername: commonLogic.appcommonhandle("客户名称",null),
				address: commonLogic.appcommonhandle("公司地址",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("名称",null), 
				n_ibizcustomername_like: commonLogic.appcommonhandle("客户名称(%)",null), 
			},
			uiactions: {
			},
		},
		usr2gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr2editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		usr3editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				root: commonLogic.appcommonhandle("默认根节点",null),
				personname: commonLogic.appcommonhandle("客户名称",null),
			},
			uiactions: {
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;